CPANCOVER(1)

NAME
cpancover - report coverage statistics on CPAN modules

VERSION
version 1.36

SYNOPSIS
 cpancover -help -info -version
           -collect -redo_cpancover_html -redo_html -force -dryrun
           -modules module_name
           -results_dir /path/to/dir
           -outputdir /path/to/dir
           -outputfile filename.html
           -report report_name
           -generate_html
           -compress_old_versions number_to_keep
           -local

DESCRIPTION

OPTIONS
The following command line options are supported:

 -h -help               - show help
 -i -info               - show documentation
 -v -version            - show version
 -collect               - collect coverage from modules       (on)
 -directory             - location of the modules             ($cwd)
 -dryrun                - don't execute (for some commands)   (off)
 -force                 - recollect coverage                  (off)
 -modules               - modules to use                      (all in $dir)
 -outputdir             - where to store output               ($directory)
 -outputfile            - top level index                     (coverage.html)
 -redo_cpancover_html   - don't set default modules           (off)
 -redo_html             - force html generation for modules   (off)
 -report                - report to use                       (html_basic)
 -generate_html         - generate html                       (off)
 -compress_old_versions - compress data older than n versions (3)
 -local                 - use local (uninstalled) code        (off)

DETAILS

REQUIREMENTS
Collect coverage for results and create html, csv and json output.

The modules Template and Parallel::Iterator are required.

EXIT STATUS
The following exit values are returned:

0 All operations were completed successfully.

>0 An error occurred.

SEE ALSO
 L<Devel::Cover>

BUGS
 Undocumented.

LICENCE
Copyright 2002-2019, Paul Johnson (paul@pjcj.net)

This software is free. It is licensed under the same terms as Perl itself.

The latest version of this software should be available from my homepage: http://www.pjcj.net